{ pkgs, ... }:

{
  home.file = {
    # Link the main init.lua file
    ".config/nvim/init.lua".source = ../../../dotfiles/nvim/.config/nvim/init.lua;

    # Link the lazy-lock.json file
    ".config/nvim/lazy-lock.json".source = ../../../dotfiles/nvim/.config/nvim/lazy-lock.json;

    # Link the Lua directory
    ".config/nvim/lua" = {
      source = ../../../dotfiles/nvim/.config/nvim/lua;
      recursive = true;
    };

    # Link the plugins directory
    ".config/nvim/lua/plugins" = {
      source = ../../../dotfiles/nvim/.config/nvim/lua/plugins;
      recursive = true;
    };
  };

  # Other home-manager configuration
}
